Page MenuHomePhabricator

Remove graphoid from parsoidcache
Closed, ResolvedPublic

Description

The service itself is still in active use, but the parsoidcache configuration is a trivial pass-through on all traffic. If a natural move to restbase's text-lb-based entrypoint is imminent we can wait on that. Otherwise, we can move the hostname and pass-logic out to the text-cluster.

Details

Related Gerrit Patches:
operations/puppet : productiongraphoid(.eqiad).wm.o VCL removal
operations/dns : mastergraphoid(.eqiad).wm.o hostname removal

Related Objects

StatusSubtypeAssignedTask
ResolvedCmjohnson
ResolvedNone
ResolvedBBlack

Event Timeline

BBlack created this task.Aug 27 2015, 2:54 AM
BBlack raised the priority of this task from to Medium.
BBlack updated the task description. (Show Details)
BBlack added projects: acl*sre-team, Traffic.
BBlack added subscribers: BBlack, Aklapper.
Restricted Application added a subscriber: Matanya. · View Herald TranscriptAug 27 2015, 2:54 AM
mobrovac added a subscriber: mobrovac.

There is work in progress to put Graphoid completely behind RESTBase (ETA next few weeks), so in theory that should be enough. However, given that the subdomain is actively used, we should probably move it to text-lb for the time being.

Are things still using the hostnames graphoid.wikimedia.org and/or graphoid.eqiad.wikimedia.org, which map to the cache_parsoid cluster rather than through restbase?

Yurik added a subscriber: Yurik.Jan 26 2016, 12:48 PM

Not to my knowledge. I sometimes use it for debugging, eg when restbase has
a bad day, but I can ssh directly

AFAIK, graphoid.(eqiad.)wikimedia.org can be safely removed.

I'm doing some final validation now (checking request logs for any trailing requests to these hostnames). Will upload the changes to remove this, but not merge yet until confirmed.

Change 266731 had a related patch set uploaded (by BBlack):
graphoid(.eqiad).wm.o hostname removal

https://gerrit.wikimedia.org/r/266731

Change 266732 had a related patch set uploaded (by BBlack):
graphoid(.eqiad).wm.o VCL removal

https://gerrit.wikimedia.org/r/266732

Change 266731 merged by BBlack:
graphoid(.eqiad).wm.o hostname removal

https://gerrit.wikimedia.org/r/266731

Change 266732 merged by BBlack:
graphoid(.eqiad).wm.o VCL removal

https://gerrit.wikimedia.org/r/266732

BBlack closed this task as Resolved.Jan 28 2016, 2:37 AM
BBlack claimed this task.